<html>
<head>
<title>Ogre::GLESPBRTTManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLESPBRTTManager.html">GLESPBRTTManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLESPBRTTManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLESPBRTTManager" --><!-- doxytag: inherits="Ogre::GLESRTTManager" -->
<p>Manager for rendertextures and PBuffers (offscreen rendering contexts)  
 <a href="classOgre_1_1GLESPBRTTManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLESPBRenderTexture_8h_source.html">OgreGLESPBRenderTexture.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GLESPBRTTManager:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GLESPBRTTManager__inherit__graph.gif" border="0" usemap="#Ogre_1_1GLESPBRTTManager_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GLESPBRTTManager_inherit__map" id="Ogre_1_1GLESPBRTTManager_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1GLESRTTManager.html" title="Manager/factory for RenderTextures." alt="" coords="44,83,212,112"/><area shape="rect" id="node4" href="classOgre_1_1Singleton.html" title="Ogre::Singleton\&lt; GLESRTTManager \&gt;" alt="" coords="5,5,251,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GLESPBRTTManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html">PBRef</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reference to a PBuffer, with refcount.  <a href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBRTTManager.html#a93fa3b189c90e8510986c66f511aec1d">GLESPBRTTManager</a> (<a class="el" href="classOgre_1_1GLESSupport.html">GLESSupport</a> *support, <a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *mainwindow)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBRTTManager.html#a3183964c7e0cdce5b481c75fa95225e6">~GLESPBRTTManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1RenderTexture.html">RenderTexture</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBRTTManager.html#aac6b491e782b13493198ff8115d4a355">createRenderTexture</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> &amp;target, bool writeGamma, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBRTTManager.html#afa95d3c7a218bfe892783e186eefb040">checkFormat</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBRTTManager.html#af87e2214fcc1976b16853a854fbf7169">bind</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *target)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBRTTManager.html#a0d5d5a0203ed7eae7aeb2b77a6ef2736">unbind</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *target)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBRTTManager.html#a69a16ee4ee14f2664c93b6a194f6dacb">requestPBuffer</a> (<a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> ctype, size_t width, size_t height)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create PBuffer for a certain pixel format and size.  <a href="#a69a16ee4ee14f2664c93b6a194f6dacb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBRTTManager.html#a21cf4da291f27b10c1f4c9f1d2eabe4f">releasePBuffer</a> (<a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a> ctype)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Release PBuffer for a certain pixel format.  <a href="#a21cf4da291f27b10c1f4c9f1d2eabe4f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESRTTManager.html#a1c30ff0280997d6fe36ed30ff6dc8be6">getBestDepthStencil</a> (GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1MultiRenderTarget.html">MultiRenderTarget</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESRTTManager.html#addaee98053aef5233dc8b10c14a72ef7">createMultiRenderTarget</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a multi render target.  <a href="#addaee98053aef5233dc8b10c14a72ef7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESRTTManager.html#a234ef8eb7ace1a68c881025fd3139a7e">getSupportedAlternative</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the closest supported alternative format.  <a href="#a234ef8eb7ace1a68c881025fd3139a7e"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> (void)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLESSupport.html">GLESSupport</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBRTTManager.html#a0ee92ce86930536f386dd1c84c74a8c4">mSupport</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1GLESSupport.html">GLESSupport</a> reference, used to create PBuffers.  <a href="#a0ee92ce86930536f386dd1c84c74a8c4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBRTTManager.html#aaafcf6e41f9d45822487b5ebac75e320">mMainWindow</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Primary window reference.  <a href="#aaafcf6e41f9d45822487b5ebac75e320"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLESContext.html">GLESContext</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBRTTManager.html#abdf1ae51c74ecead0688472425fee684">mMainContext</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Primary window context.  <a href="#abdf1ae51c74ecead0688472425fee684"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html">PBRef</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESPBRTTManager.html#a9822210166dc0c84dd19ff6662477e29">mPBuffers</a> [<a class="el" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea9966a610c32b0e690c91a553b7b8a45e">PCT_COUNT</a>]</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Type to map each component type to a PBuffer.  <a href="#a9822210166dc0c84dd19ff6662477e29"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Manager for rendertextures and PBuffers (offscreen rendering contexts) </p>

<p>Definition at line <a class="el" href="OgreGLESPBRenderTexture_8h_source.html#l00056">56</a> of file <a class="el" href="OgreGLESPBRenderTexture_8h_source.html">OgreGLESPBRenderTexture.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a93fa3b189c90e8510986c66f511aec1d"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::GLESPBRTTManager" ref="a93fa3b189c90e8510986c66f511aec1d" args="(GLESSupport *support, RenderTarget *mainwindow)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESPBRTTManager.html#a93fa3b189c90e8510986c66f511aec1d">Ogre::GLESPBRTTManager::GLESPBRTTManager</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLESSupport.html">GLESSupport</a> *&#160;</td>
          <td class="paramname"><em>support</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>mainwindow</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3183964c7e0cdce5b481c75fa95225e6"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::~GLESPBRTTManager" ref="a3183964c7e0cdce5b481c75fa95225e6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLESPBRTTManager.html#a3183964c7e0cdce5b481c75fa95225e6">Ogre::GLESPBRTTManager::~GLESPBRTTManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="af87e2214fcc1976b16853a854fbf7169"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::bind" ref="af87e2214fcc1976b16853a854fbf7169" args="(RenderTarget *target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLESPBRTTManager.html#af87e2214fcc1976b16853a854fbf7169">Ogre::GLESPBRTTManager::bind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Bind a certain render target. </p>
 
<p>Implements <a class="el" href="classOgre_1_1GLESRTTManager.html#aac332502cde16458d51d5aaa5fa7e9ec">Ogre::GLESRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="afa95d3c7a218bfe892783e186eefb040"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::checkFormat" ref="afa95d3c7a218bfe892783e186eefb040" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1GLESPBRTTManager.html#afa95d3c7a218bfe892783e186eefb040">Ogre::GLESPBRTTManager::checkFormat</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Check if a certain format is usable as rendertexture format. </p>
 
<p>Implements <a class="el" href="classOgre_1_1GLESRTTManager.html#ad1e4ea655b6ece60016e4ecf734e382a">Ogre::GLESRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="addaee98053aef5233dc8b10c14a72ef7"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::createMultiRenderTarget" ref="addaee98053aef5233dc8b10c14a72ef7" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1MultiRenderTarget.html">MultiRenderTarget</a>* <a class="el" href="classOgre_1_1GLESRTTManager.html#addaee98053aef5233dc8b10c14a72ef7">Ogre::GLESRTTManager::createMultiRenderTarget</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a multi render target. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1GLESFBOManager.html#a7833eba77b3f264121ae65ad556bb342">Ogre::GLESFBOManager</a>.</p>

</div>
</div>
<a class="anchor" id="aac6b491e782b13493198ff8115d4a355"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::createRenderTexture" ref="aac6b491e782b13493198ff8115d4a355" args="(const String &amp;name, const GLESSurfaceDesc &amp;target, bool writeGamma, uint fsaa)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RenderTexture.html">RenderTexture</a>* <a class="el" href="classOgre_1_1GLESPBRTTManager.html#aac6b491e782b13493198ff8115d4a355">Ogre::GLESPBRTTManager::createRenderTexture</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLESSurfaceDesc.html">GLESSurfaceDesc</a> &amp;&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>writeGamma</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>fsaa</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Create a texture rendertarget object. </p>
 
<p>Implements <a class="el" href="classOgre_1_1GLESRTTManager.html#ae38db9c6a8b82ad253e738056122ff0b">Ogre::GLESRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="a1c30ff0280997d6fe36ed30ff6dc8be6"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::getBestDepthStencil" ref="a1c30ff0280997d6fe36ed30ff6dc8be6" args="(GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLESRTTManager.html#a1c30ff0280997d6fe36ed30ff6dc8be6">Ogre::GLESRTTManager::getBestDepthStencil</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>internalFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum *&#160;</td>
          <td class="paramname"><em>depthFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum *&#160;</td>
          <td class="paramname"><em>stencilFormat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reimplemented in <a class="el" href="classOgre_1_1GLESFBOManager.html#a086e0d6ede40f070f9d9aea7acca5334">Ogre::GLESFBOManager</a>.</p>

<p>Definition at line <a class="el" href="OgreGLESRenderTexture_8h_source.html#l00085">85</a> of file <a class="el" href="OgreGLESRenderTexture_8h_source.html">OgreGLESRenderTexture.h</a>.</p>

<p>References <a class="el" href="OgreGLESPrerequisites_8h_source.html#l00106">GL_NONE</a>.</p>

</div>
</div>
<a class="anchor" id="a7757bd7ac3702c144502e53ad6491888"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::getSingleton" ref="a7757bd7ac3702c144502e53ad6491888" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> &amp; <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00090">90</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7ab51c46521b89723d6186a52a7e0d7b"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::getSingletonPtr" ref="a7ab51c46521b89723d6186a52a7e0d7b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00092">92</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a234ef8eb7ace1a68c881025fd3139a7e"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::getSupportedAlternative" ref="a234ef8eb7ace1a68c881025fd3139a7e" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1GLESRTTManager.html#a234ef8eb7ace1a68c881025fd3139a7e">Ogre::GLESRTTManager::getSupportedAlternative</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the closest supported alternative format. </p>
<p>If format is supported, returns format. </p>

</div>
</div>
<a class="anchor" id="a21cf4da291f27b10c1f4c9f1d2eabe4f"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::releasePBuffer" ref="a21cf4da291f27b10c1f4c9f1d2eabe4f" args="(PixelComponentType ctype)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLESPBRTTManager.html#a21cf4da291f27b10c1f4c9f1d2eabe4f">Ogre::GLESPBRTTManager::releasePBuffer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td>
          <td class="paramname"><em>ctype</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Release PBuffer for a certain pixel format. </p>

</div>
</div>
<a class="anchor" id="a69a16ee4ee14f2664c93b6a194f6dacb"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::requestPBuffer" ref="a69a16ee4ee14f2664c93b6a194f6dacb" args="(PixelComponentType ctype, size_t width, size_t height)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLESPBRTTManager.html#a69a16ee4ee14f2664c93b6a194f6dacb">Ogre::GLESPBRTTManager::requestPBuffer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#gac8f59c884998d9f84d9ea4c66e4c29fe">PixelComponentType</a>&#160;</td>
          <td class="paramname"><em>ctype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create PBuffer for a certain pixel format and size. </p>

</div>
</div>
<a class="anchor" id="a0d5d5a0203ed7eae7aeb2b77a6ef2736"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::unbind" ref="a0d5d5a0203ed7eae7aeb2b77a6ef2736" args="(RenderTarget *target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLESPBRTTManager.html#a0d5d5a0203ed7eae7aeb2b77a6ef2736">Ogre::GLESPBRTTManager::unbind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Unbind a certain render target. </p>
<p>This is called before binding another <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a>, and before the context is switched. It can be used to do a copy, or just be a noop if direct binding is used. </p>
 
<p>Implements <a class="el" href="classOgre_1_1GLESRTTManager.html#a8de06acbca5735034c65813ebb24891e">Ogre::GLESRTTManager</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="abdf1ae51c74ecead0688472425fee684"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::mMainContext" ref="abdf1ae51c74ecead0688472425fee684" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESContext.html">GLESContext</a>* <a class="el" href="classOgre_1_1GLESPBRTTManager.html#abdf1ae51c74ecead0688472425fee684">Ogre::GLESPBRTTManager::mMainContext</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Primary window context. </p>

<p>Definition at line <a class="el" href="OgreGLESPBRenderTexture_8h_source.html#l00094">94</a> of file <a class="el" href="OgreGLESPBRenderTexture_8h_source.html">OgreGLESPBRenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="aaafcf6e41f9d45822487b5ebac75e320"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::mMainWindow" ref="aaafcf6e41f9d45822487b5ebac75e320" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a>* <a class="el" href="classOgre_1_1GLESPBRTTManager.html#aaafcf6e41f9d45822487b5ebac75e320">Ogre::GLESPBRTTManager::mMainWindow</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Primary window reference. </p>

<p>Definition at line <a class="el" href="OgreGLESPBRenderTexture_8h_source.html#l00092">92</a> of file <a class="el" href="OgreGLESPBRenderTexture_8h_source.html">OgreGLESPBRenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9822210166dc0c84dd19ff6662477e29"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::mPBuffers" ref="a9822210166dc0c84dd19ff6662477e29" args="[PCT_COUNT]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLESPBRTTManager_1_1PBRef.html">PBRef</a> <a class="el" href="classOgre_1_1GLESPBRTTManager.html#a9822210166dc0c84dd19ff6662477e29">Ogre::GLESPBRTTManager::mPBuffers</a>[<a class="el" href="group__Image.html#ggac8f59c884998d9f84d9ea4c66e4c29fea9966a610c32b0e690c91a553b7b8a45e">PCT_COUNT</a>]<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Type to map each component type to a PBuffer. </p>

<p>Definition at line <a class="el" href="OgreGLESPBRenderTexture_8h_source.html#l00103">103</a> of file <a class="el" href="OgreGLESPBRenderTexture_8h_source.html">OgreGLESPBRenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="aff0baaaed91d8505cfb72b7725ae1c37"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::msSingleton" ref="aff0baaaed91d8505cfb72b7725ae1c37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLESRTTManager.html">GLESRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00075">75</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0ee92ce86930536f386dd1c84c74a8c4"></a><!-- doxytag: member="Ogre::GLESPBRTTManager::mSupport" ref="a0ee92ce86930536f386dd1c84c74a8c4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESSupport.html">GLESSupport</a>* <a class="el" href="classOgre_1_1GLESPBRTTManager.html#a0ee92ce86930536f386dd1c84c74a8c4">Ogre::GLESPBRTTManager::mSupport</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1GLESSupport.html">GLESSupport</a> reference, used to create PBuffers. </p>

<p>Definition at line <a class="el" href="OgreGLESPBRenderTexture_8h_source.html#l00090">90</a> of file <a class="el" href="OgreGLESPBRenderTexture_8h_source.html">OgreGLESPBRenderTexture.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLESPBRenderTexture_8h_source.html">OgreGLESPBRenderTexture.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:25
</p>
</body>
</html>
